Bug 531230 - Real Time Kernel supports SELinux options not available in policy
Real Time Kernel supports SELinux options not available in policy
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.5
All Linux
low Severity high
: rc
: ---
Assigned To: Miroslav Grepl
BaseOS QE Security Team
:
Depends On: 531229
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-27 08:22 EDT by Daniel Walsh
Modified: 2010-03-30 03:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 531229
Environment:
Last Closed: 2010-03-30 03:50:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2009-10-27 08:22:43 EDT
+++ This bug was initially created as a clone of Bug #531229 +++

+++ This bug was initially created as a clone of Bug #531228 +++

Description of problem:

Since we are pulling in a newer kernel for the real time kernel, it includes access that is not defined in the RHEL5 policy.  These access checks are denied by default, including open.  This means a RHEL5 box can not run with SELinux in enforcing mode with the Real Time Kernel.  In Fedora we have the ability to tell the kernel to "allow" all access that it knows about and the policy does not.  

In order to get this to work in RHEL5 we need to back port changes to the checkpolicy, libsepol and selinux-policy packages.

The test to see if these backports work is to develop a policy on RHEL5 that a Real Time Kernel can boot in enforcing mode.
Comment 2 Miroslav Grepl 2010-01-05 09:19:21 EST
Fixed in selinux-policy-2.4.6-263.el5
Comment 10 errata-xmlrpc 2010-03-30 03:50:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0182.html

Note You need to log in before you can comment on or make changes to this bug.